unit Dabout;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, shellapi, dialogs;

type
  TDaboutfrm = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductNamelab: TLabel;
    Authorlab: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    mailurl: TLabel;
    Emaillab: TLabel;
    fwintypelab: TLabel;
    fmemavailablelab: TLabel;
    Bevel1: TBevel;
    FileVersion: TLabel;
    FileDescription: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure mailurlClick(Sender: TObject);
  private
    { Private declarations }
    MemStat   : TMemoryStatus;
    OS : TOSVersionInfo;
    fversionbuild : string;
   
  public
    { Public declarations }
  end;

const
  crPOINTCursor = 8888;
var
  Daboutfrm: TDaboutfrm;

implementation
{$R fingercur.crs}  // Cursor ReSource (Pointing Hand)
{$R *.DFM}
uses DAOvar;

procedure TDaboutfrm.FormCreate(Sender: TObject);
var Floatit : Double;
begin
Fileversion.caption := getversionnumber('FileVersion');  //in daovar unit
FileDescription.caption := getversionnumber('FileDescription');
Screen.Cursors[crPOINTCursor] := LoadCursor(HInstance, PChar(8888));
mailurl.cursor := crPOINTCursor;
mailurl.hint := mailurl.caption;
OS.dwOSVersionInfoSize := sizeof(OS);
GetVersionEx(OS);
with OS do
   begin
      FversionBuild := format (' %d.%d', [dwMajorVersion, dwMinorVersion]) +
                       format(' (Build %d)', [LOWORD(dwBuildNumber)]);
      case dwPlatformId of
         VER_PLATFORM_WIN32s :
            FWinTypelab.caption := 'Windows 3.1x/32s' + FversionBuild;
         VER_PLATFORM_WIN32_WINDOWS :
            Begin
               if (dwMajorVersion = 4) and (dwMinorVersion > 0) then
                   FwinTypelab.caption := 'Windows 98' + FversionBuild
              else
                   FwinTypelab.caption := 'Windows 95' + FversionBuild;
            end;
         VER_PLATFORM_WIN32_NT :
            FWinTypelab.caption := 'Windows NT' + FversionBuild;
      end;
   end;
MemStat.dwLength := sizeof(MemStat);
GlobalMemoryStatus(MemStat);
with MemStat do
   begin
     floatit := dwTotalPhys / 1024;
     FMemAvailablelab.caption := 'Memory Available to Windows:  ' +
                                 Format('%.0n KB',[floatit]);
   end;
{*notetoself* Need to learn how use 'd' specifier and get the comma's}
end;

procedure TDaboutfrm.mailurlClick(Sender: TObject);
var  h : integer; zFname: array[0..79] of Char;
begin
h := ShellExecute(0,                          //handle to parent window
     'open',                                  //string specifing operation to perform
     StrPcopy( zFname, 'mailto:'+mailurl.caption+'?subject=AcBrowse' ),
     NIL,                                     //pointer to exe-file parameters string
     NIL,                                     //pointer to string specifing default directory
     SW_SHOWNORMAL);
if h < 33 then
    MessageDlg('Can''t open WEB Browser.', mtError,
      [mbOk], 0);
end;
end.
 
